  services:
    discourse:
      image: bitnamilegacy/discourse:3.5.0
      container_name: ${CONTAINER_NAME}
      restart: always
      networks:
        - opsmind-network
      ports:
        - "${PANEL_APP_PORT_HTTP}:3000"
      volumes:
        - ./data/discourse:/bitnami/discourse
      environment:
        DISCOURSE_HOST: ${DISCOURSE_HOST}
        DISCOURSE_USERNAME: ${DISCOURSE_USERNAME}
        DISCOURSE_PASSWORD: ${DISCOURSE_PASSWORD}
        DISCOURSE_EMAIL: ${DISCOURSE_EMAIL}
        DISCOURSE_DATABASE_HOST: ${PANEL_DB_HOST}
        DISCOURSE_DATABASE_PORT_NUMBER: ${PANEL_DB_PORT}
        DISCOURSE_DATABASE_USER: ${PANEL_DB_USER}
        DISCOURSE_DATABASE_PASSWORD: ${PANEL_DB_USER_PASSWORD}
        DISCOURSE_DATABASE_NAME: ${PANEL_DB_NAME}
        POSTGRESQL_CLIENT_POSTGRES_USER: ${PANEL_DB_USER}
        POSTGRESQL_CLIENT_POSTGRES_PASSWORD: ${PANEL_DB_USER_PASSWORD}
        POSTGRESQL_CLIENT_CREATE_DATABASE_NAME: ${PANEL_DB_NAME}
        POSTGRESQL_CLIENT_CREATE_DATABASE_EXTENSIONS: hstore,pg_trgm
        DISCOURSE_REDIS_HOST: ${PANEL_REDIS_HOST}
        DISCOURSE_REDIS_PASSWORD: ${PANEL_REDIS_ROOT_PASSWORD}
        DISCOURSE_SMTP_HOST: test
        DISCOURSE_SMTP_PORT_NUMBER: 0
        DISCOURSE_SMTP_USER: test
        DISCOURSE_SMTP_PASSWORD: test
        DISCOURSE_SMTP_PROTOCOL:
      labels:
        createdBy: "Apps"
    sidekiq:
      image: bitnamilegacy/discourse:3.5.0
      container_name: ${CONTAINER_NAME}-sidekiq
      restart: always
      networks:
        - opsmind-network
      depends_on:
        - discourse
      volumes:
        - ./data/sidekiq:/bitnami/discourse
      command: /opt/bitnami/scripts/discourse-sidekiq/run.sh
      environment:
        DISCOURSE_HOST: ${DISCOURSE_HOST}
        DISCOURSE_DATABASE_HOST: ${PANEL_DB_HOST}
        DISCOURSE_DATABASE_PORT_NUMBER: ${PANEL_DB_PORT}
        DISCOURSE_DATABASE_USER: ${PANEL_DB_USER}
        DISCOURSE_DATABASE_PASSWORD: ${PANEL_DB_USER_PASSWORD}
        DISCOURSE_DATABASE_NAME: ${PANEL_DB_NAME}
        DISCOURSE_REDIS_HOST: ${PANEL_REDIS_HOST}
        DISCOURSE_REDIS_PASSWORD: ${PANEL_REDIS_ROOT_PASSWORD}
  #      DISCOURSE_SMTP_HOST: test
  #      DISCOURSE_SMTP_PORT_NUMBER: 0
  #      DISCOURSE_SMTP_USER: test
  #      DISCOURSE_SMTP_PASSWORD: test
  #      DISCOURSE_SMTP_PROTOCOL:
      labels:
        createdBy: "Apps"
  networks:
    opsmind-network:
      external: true